{"items":[{"type":"link","label":"Porting API","link":"/docs/numbers/api-reference/porting","routeSlug":"/docs/numbers/api-reference/porting","content":{"contentType":"overview","meta":{"name":"Porting API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"porting.json","url":"/_bundle/docs/numbers/api-reference/porting.json?download"},{"kind":"download","label":"porting.yaml","url":"/_bundle/docs/numbers/api-reference/porting.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"License","titleTranslationKey":"info.license","label":"MIT","url":"https://www.sinch.com/toc"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"description":"The project with which you are working.","default":"YOUR_project_id"}}}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Porting API (1.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"Automated processing of port-in phone number operations"}],"sectionId":"/docs/numbers/api-reference/porting"}],"sectionId":"/docs/numbers/api-reference/porting"}]}]}},{"type":"group","label":"Port-in numbers","link":"/docs/numbers/api-reference/porting/port-in-numbers","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers","items":[{"type":"link","label":"Porting orders","link":"/docs/numbers/api-reference/porting/port-in-numbers/porting-orders","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/porting-orders","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Porting orders"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":3,"id":"port-in-numbers/porting-orders"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Porting orders"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"In general you work with porting orders, a porting order is the resource that keeps the number(s) status and progress in one place."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Before creating port order you should check the portability of the numbers you want to port in, if a number is not portable the order will fail."},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"POST /portabilityChecks\n{\n  \"phoneNumbers\": [\"+12345678901\"]\n}\n","language":"json"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST /portabilityChecks\n{\n  \"phoneNumbers\": [\"+12345678901\"]\n}\n"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If the number is portable you can create an order like this:"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"POST v1/projects/{projectId}/orders/portIns\n    {\n      \"desiredPortSchedule\": {\n        \"desiredPortDate\": \"2024-09-25\",\n      },\n      \"phoneNumbers\": [\n        {\n          \"phoneNumber\": \"+12345678901\",\n          \"voiceConfiguration\": {\n            \"type\": \"EST\",\n            \"trunkId\": \"123456\"\n          },\n          \"portOutInfo\": {\n            \"existingPortOutPin\": \"1234\"\n          },\n          \"endUser\": {\n            \"name\": \"John Doe\",\n            \"streetName\": \"Main St\",\n            \"streetNum\": \"123\",\n            \"city\": \"Anytown\",\n            \"state\": \"NY\",\n            \"zipCode\": \"12345\"\n          },\n        }\n      ]\n    }\n","language":"json"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST v1/projects/{projectId}/orders/portIns\n    {\n      \"desiredPortSchedule\": {\n        \"desiredPortDate\": \"2024-09-25\",\n      },\n      \"phoneNumbers\": [\n        {\n          \"phoneNumber\": \"+12345678901\",\n          \"voiceConfiguration\": {\n            \"type\": \"EST\",\n            \"trunkId\": \"123456\"\n          },\n          \"portOutInfo\": {\n            \"existingPortOutPin\": \"1234\"\n          },\n          \"endUser\": {\n            \"name\": \"John Doe\",\n            \"streetName\": \"Main St\",\n            \"streetNum\": \"123\",\n            \"city\": \"Anytown\",\n            \"state\": \"NY\",\n            \"zipCode\": \"12345\"\n          },\n        }\n      ]\n    }\n"},"children":[]}]}]}],"panels":[]}]}},{"type":"link","label":"Lifetime of a port order","link":"/docs/numbers/api-reference/porting/port-in-numbers/lifetime-of-a-port-order","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/lifetime-of-a-port-order","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Lifetime of a port order"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":4,"id":"port-in-numbers/lifetime-of-a-port-order"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Lifetime of a port order"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If everything is correct, the order run thru is life cycle and keep you updated on changes but hopefully nothing will change and the number will be ported in on the desired port date."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If more information is needed from you, it will be communicated to you via the order notes and error statuses on the individual numbers. And you reply with a note or update your order with required information."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"It's not uncommon for a port order to be a few days or weeks in the making, so don't worry if you don't receive an update right away."},"children":[]}]}]}]}],"panels":[]}]}},{"type":"link","label":"Port-In phone numbers","link":"/docs/numbers/api-reference/porting/port-in-numbers/port-in-phone-numbers","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/port-in-phone-numbers","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Port-In phone numbers"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":3,"id":"port-in-numbers/port-in-phone-numbers"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Port-In phone numbers"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When you port in phone numbers to Sinch you need to make sure the numbers are portable, you can use the portability check to make sure the numbers are portable before creating an order."},"children":[]}]}]}]}],"panels":[]}]}},{"label":"Porting availability","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/checkportingavailability","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/checkportingavailability","metadata":{"seo":{"title":"Porting availability","description":"Use this before creating a order to make sure all numbers are available for port in to Sinch. Please note that if you try to port a number that is not portable the order will fail."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"checkPortingAvailability","name":"Porting availability","isWebhook":false,"pointer":"/paths/~1portabilityChecks/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Porting availability","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Use this  before creating a order to make sure all numbers are available for port in to Sinch. Please note that if you try to port a number that is not portable the order will fail."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/PortabilityCheckRequest"}},"schemaId":"components/schemas/PortabilityCheckRequest","pointer":"/paths/~1portabilityChecks/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/portabilityChecks","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/PortabilityCheckRequest"}},"responseCodes":["200"],"pointer":"/portabilityChecks","href":"port-in-numbers/checkportingavailability","openApiOperationId":"checkPortingAvailability","summary":"Porting availability","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"components/schemas/PortabilityCheckRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/PortabilityCheckRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PortabilityCheckResponse"}},"schemaId":"components/schemas/PortabilityCheckResponse"}],"pointer":"/paths/~1portabilityChecks/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/PortabilityCheckResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PortabilityCheckResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/checkportingavailability"}],"panels":[]}]},"httpPath":"/portabilityChecks"},{"label":"Create port-in order","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/orderportin","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/orderportin","metadata":{"seo":{"title":"Create port-in order","description":"Create an order to port phone numbers from another carrier into Sinch. Refer to the Port-In Status section for more information on port-in order updates.Please note that order will fail if you try to port numbers that are not portable, so you should always use the portability check before creating an order."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"orderPortIn","name":"Create port-in order","isWebhook":false,"pointer":"/paths/~1orders~1portIns/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create port-in order","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Create an order to port phone numbers from another carrier into Sinch. Refer to the Port-In Status section for more information on port-in order updates."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Please note that order will fail if you try to port numbers that are not portable, so you should always use the portability check before creating an order."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Note: For port orders of over 500 numbers, please contact the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://support.sinch.com"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"support team"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Note:"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" In order to send SMS and MMS messages in the US using 10DLC phone numbers, all messages must be sent via an approved campaign. Your campaigns are managed under US 10DLC Campaigns in the SMS section. A number can be associated to an approved campaign after the port completes."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_700","exampleIds":["paths/~1orders~1portIns/post/requestBody/content/application~1json/example"]}},"schemaId":"schema_700","exampleIds":["paths/~1orders~1portIns/post/requestBody/content/application~1json/example"],"pointer":"/paths/~1orders~1portIns/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/orders/portIns","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_700","exampleIds":["paths/~1orders~1portIns/post/requestBody/content/application~1json/example"]}},"responseCodes":["201"],"pointer":"/orders/portIns","href":"port-in-numbers/orderportin","openApiOperationId":"orderPortIn","summary":"Create port-in order","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"schema_700","exampleIds":["paths/~1orders~1portIns/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_700","exampleIds":["paths/~1orders~1portIns/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}},"schemaId":"components/schemas/OrderBaseItem"}],"pointer":"/paths/~1orders~1portIns/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/OrderBaseItem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/orderportin"}],"panels":[]}]},"httpPath":"/orders/portIns"},{"label":"List port-in orders","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/getportinorders","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/getportinorders","metadata":{"seo":{"title":"List port-in orders","description":"Retrieve a list of port-in based on the search parameters, you can also specify view here to get less detail"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getPortInOrders","name":"List port-in orders","isWebhook":false,"pointer":"/paths/~1orders~1portIns/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List port-in orders","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Retrieve a list of port-in based on the search parameters, you can also specify view here to get less detail"},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"orderId","in":"query","schemaId":"schema_701","description":"Search by the ID of the order."},{"name":"orderStatus","in":"query","schemaId":"schema_702","description":"Search by the status of the order."},{"name":"customerOrderReference","in":"query","schemaId":"schema_703","description":"The reference you specified when creating the order."},{"name":"createdDateStart","in":"query","schemaId":"schema_704","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Search by the created date. This query sets the start date of the search period. Formatted as "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://en.wikipedia.org/wiki/ISO_8601"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ISO-8601"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"YYYY-MM-DDThh:mm:ss.SSSZ"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"name":"createdDateEnd","in":"query","schemaId":"schema_704","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Search by the created date. This query sets the end date of the search period. Formatted as "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://en.wikipedia.org/wiki/ISO_8601"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ISO-8601"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"YYYY-MM-DDThh:mm:ss.SSSZ"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"name":"phoneNumber","in":"query","schemaId":"schema_703","description":"Search by a phone number."},{"name":"focStartDate","in":"query","schemaId":"schema_704","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Search by the firm order confirmation. This query sets the start date of the search period. Formatted as "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://en.wikipedia.org/wiki/ISO_8601"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ISO-8601"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"YYYY-MM-DDThh:mm:ss.SSSZ"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"name":"focEndDate","in":"query","schemaId":"schema_704","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Search by the firm order confirmation. This query sets the end date of the search period. Formatted as "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://en.wikipedia.org/wiki/ISO_8601"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ISO-8601"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"YYYY-MM-DDThh:mm:ss.SSSZ"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"name":"pageSize","in":"query","schemaId":"schema_705","description":"The maximum number of items to return per request. The default is 100 and the maximum is 1000. If you need to export larger amounts and pagination is not suitable for you can use the Export function in the dashboard."},{"name":"page","in":"query","schemaId":"schema_703","description":"The page you want to retrieve returned from a previous List request, if any"}],"pointer":"/paths/~1orders~1portIns/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/orders/portIns","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[],"query":[{"name":"orderId","in":"query","schemaId":"schema_701"},{"name":"orderStatus","in":"query","schemaId":"components/schemas/OrderStatus"},{"name":"customerOrderReference","in":"query","schemaId":"schema_703"},{"name":"createdDateStart","in":"query","example":"2024-09-24T12:00:00Z","schemaId":"schema_704"},{"name":"createdDateEnd","in":"query","example":"2024-09-24T12:00:00Z","schemaId":"schema_704"},{"name":"phoneNumber","in":"query","schemaId":"schema_703"},{"name":"focStartDate","in":"query","example":"2024-09-24T12:00:00Z","schemaId":"schema_704"},{"name":"focEndDate","in":"query","example":"2024-09-24T12:00:00Z","schemaId":"schema_704"},{"name":"pageSize","in":"query","schemaId":"schema_705"},{"name":"page","in":"query","schemaId":"schema_703"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"responseCodes":["200"],"pointer":"/orders/portIns","href":"port-in-numbers/getportinorders","openApiOperationId":"getPortInOrders","summary":"List port-in orders","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_706"}},"schemaId":"schema_706"}],"pointer":"/paths/~1orders~1portIns/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_706","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_706"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/getportinorders"}],"panels":[]}]},"httpPath":"/orders/portIns"},{"label":"Get  order Detail","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/getorderdetails","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/getorderdetails","metadata":{"seo":{"title":"Get  order Detail","description":"Get details about an existing order along with order notes and process notes (for Port-In orders). For realtime updates on the order status, please refer to the Webhooks section. wich is the recommended way to get updates on the order status."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getOrderDetails","name":"Get  order Detail","isWebhook":false,"pointer":"/paths/~1orders~1portIns~1{orderId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get  order Detail","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Get details about an existing order along with order notes and process notes (for Port-In orders).\nFor realtime updates on the order status, please refer to the Webhooks section. wich is the recommended way to get updates on the order status."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"orderId","in":"path","schemaId":"schema_701","description":"Order Identifier","required":true,"example":897867}],"pointer":"/paths/~1orders~1portIns~1{orderId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/orders/portIns/{orderId}","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[{"name":"orderId","in":"path","required":true,"example":897867,"schemaId":"schema_701"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"responseCodes":["200"],"pointer":"/orders/portIns/{orderId}","href":"port-in-numbers/getorderdetails","openApiOperationId":"getOrderDetails","summary":"Get  order Detail","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}},"schemaId":"components/schemas/OrderBaseItem"}],"pointer":"/paths/~1orders~1portIns~1{orderId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/OrderBaseItem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/getorderdetails"}],"panels":[]}]},"httpPath":"/orders/portIns/{orderId}"},{"label":"Cancel Pending Order","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/deleteorder","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/deleteorder","metadata":{"seo":{"title":"Cancel Pending Order","description":"This operation allows you to cancel an order in Pending status."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"deleteOrder","name":"Cancel Pending Order","isWebhook":false,"pointer":"/paths/~1orders~1portIns~1{orderId}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Cancel Pending Order","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This operation allows you to cancel an order in Pending status."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"orderId","in":"path","schemaId":"schema_701","description":"Order Identifier","required":true,"example":897867}],"pointer":"/paths/~1orders~1portIns~1{orderId}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/orders/portIns/{orderId}","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[{"name":"orderId","in":"path","required":true,"example":897867,"schemaId":"schema_701"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"responseCodes":["200"],"pointer":"/orders/portIns/{orderId}","href":"port-in-numbers/deleteorder","openApiOperationId":"deleteOrder","summary":"Cancel Pending Order","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation"}],"pointer":"/paths/~1orders~1portIns~1{orderId}/delete/responses"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/deleteorder"}],"panels":[]}]},"httpPath":"/orders/portIns/{orderId}"},{"label":"Update port-in order","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/updateportinorder","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/updateportinorder","metadata":{"seo":{"title":"Update port-in order","description":"This operation allows you to update information on a Pending order. Please note that you need to send the full object, its not a patch"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"updatePortInOrder","name":"Update port-in order","isWebhook":false,"pointer":"/paths/~1orders~1portIns~1{orderId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update port-in order","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This operation allows you to update information on a Pending order. Please note that you need to send the full object, its not a patch"},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"orderId","in":"path","schemaId":"schema_703","description":"The unique identifier for the order.","required":true}],"pointer":"/paths/~1orders~1portIns~1{orderId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}},"schemaId":"components/schemas/OrderBaseItem","pointer":"/paths/~1orders~1portIns~1{orderId}/put/requestBody","description":"Update Pending Order"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/orders/portIns/{orderId}","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[{"name":"orderId","in":"path","required":true,"schemaId":"schema_703"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}},"responseCodes":["200"],"pointer":"/orders/portIns/{orderId}","href":"port-in-numbers/updateportinorder","openApiOperationId":"updatePortInOrder","summary":"Update port-in order","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"components/schemas/OrderBaseItem","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}},"schemaId":"components/schemas/OrderBaseItem"}],"pointer":"/paths/~1orders~1portIns~1{orderId}/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/OrderBaseItem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderBaseItem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/updateportinorder"}],"panels":[]}]},"httpPath":"/orders/portIns/{orderId}"},{"label":"Add Order Note","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/addordernote","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/addordernote","metadata":{"seo":{"title":"Add Order Note","description":"This operation allows you to add a note to an existing order."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"addOrderNote","name":"Add Order Note","isWebhook":false,"pointer":"/paths/~1orders~1portIns~1{orderId}~1notes/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Add Order Note","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This operation allows you to add a note to an existing order."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"orderId","in":"path","schemaId":"schema_701","description":"Order Identifier","required":true}],"pointer":"/paths/~1orders~1portIns~1{orderId}~1notes/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_707"}},"schemaId":"schema_707","pointer":"/paths/~1orders~1portIns~1{orderId}~1notes/post/requestBody","description":"Add Order Note"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/orders/portIns/{orderId}/notes","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[{"name":"orderId","in":"path","required":true,"schemaId":"schema_701"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_707"}},"responseCodes":["200"],"pointer":"/orders/portIns/{orderId}/notes","href":"port-in-numbers/addordernote","openApiOperationId":"addOrderNote","summary":"Add Order Note","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"schema_707","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_707"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_708"}},"schemaId":"schema_708"}],"pointer":"/paths/~1orders~1portIns~1{orderId}~1notes/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_708","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_708"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/addordernote"}],"panels":[]}]},"httpPath":"/orders/portIns/{orderId}/notes"},{"label":"Add Order Document","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/addorderdocuments","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/addorderdocuments","metadata":{"seo":{"title":"Add Order Document","description":"This operation allows you to add a document to an existing order."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"addOrderDocuments","name":"Add Order Document","isWebhook":false,"pointer":"/paths/~1orders~1portIns~1{orderId}~1documents/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Add Order Document","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This operation allows you to add a document to an existing order."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"orderId","in":"path","schemaId":"schema_701","description":"Order Identifier","required":true}],"pointer":"/paths/~1orders~1portIns~1{orderId}~1documents/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/OrderDocumentWithContent"}},"schemaId":"components/schemas/OrderDocumentWithContent","pointer":"/paths/~1orders~1portIns~1{orderId}~1documents/post/requestBody","description":"Add Order Document"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/orders/portIns/{orderId}/documents","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[{"name":"orderId","in":"path","required":true,"schemaId":"schema_701"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/OrderDocumentWithContent"}},"responseCodes":["200"],"pointer":"/orders/portIns/{orderId}/documents","href":"port-in-numbers/addorderdocuments","openApiOperationId":"addOrderDocuments","summary":"Add Order Document","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"components/schemas/OrderDocumentWithContent","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/OrderDocumentWithContent"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation, the file name/description would be returned, but the content would not be returned in the response.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderDocumentBase"}},"schemaId":"components/schemas/OrderDocumentBase"}],"pointer":"/paths/~1orders~1portIns~1{orderId}~1documents/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/OrderDocumentBase","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OrderDocumentBase"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/addorderdocuments"}],"panels":[]}]},"httpPath":"/orders/portIns/{orderId}/documents"},{"label":"Get document content","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/numbers/api-reference/porting/port-in-numbers/getorderdocumentcontent","routeSlug":"/docs/numbers/api-reference/porting/port-in-numbers/getorderdocumentcontent","metadata":{"seo":{"title":"Get document content","description":"This operation allows you to retrieve specific document contents attached to an existing order."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getOrderDocumentContent","name":"Get document content","isWebhook":false,"pointer":"/paths/~1orders~1{orderId}~1documents~1{documentId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get document content","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This operation allows you to retrieve specific document contents attached to an existing order."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"orderId","in":"path","schemaId":"schema_701","description":"Order Identifier","required":true},{"name":"documentId","in":"path","schemaId":"schema_703","description":"Document content for","required":true}],"pointer":"/paths/~1orders~1{orderId}~1documents~1{documentId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/orders/{orderId}/documents/{documentId}","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[{"name":"orderId","in":"path","required":true,"schemaId":"schema_701"},{"name":"documentId","in":"path","required":true,"schemaId":"schema_703"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"responseCodes":["200"],"pointer":"/orders/{orderId}/documents/{documentId}","href":"port-in-numbers/getorderdocumentcontent","openApiOperationId":"getOrderDocumentContent","summary":"Get document content","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful operation","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_709"}},"schemaId":"schema_709"}],"pointer":"/paths/~1orders~1{orderId}~1documents~1{documentId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_709","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_709"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/port-in-numbers/getorderdocumentcontent"}],"panels":[]}]},"httpPath":"/orders/{orderId}/documents/{documentId}"}],"content":{"contentType":"group","meta":{"name":"Port-in numbers"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Port-in numbers","showPageActions":true},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can create orders, check portability, and more."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When you port in phone numbers to Sinch you need to make sure the numbers are portable, you can use the portability check to make sure the numbers are portable before creating an order."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If a number is not portable the whole order will fail."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When porting a number to Sinch you can either use the dashboard or the API, the API is recommended for larger orders and for automation."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Note:"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" For port orders of over 500 numbers, please contact the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://support.sinch.com"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"support team"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The recommended way to port numbers to Sinch is to schedule the port, this means that you create an order and specify a desired port date and time,"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If you have more advanced needs like on-demand activation, you can read more about that in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"advanced porting section"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/portabilityChecks","summary":"Porting availability","prefix":{"name":"post","color":"post"},"badges":[],"link":"/port-in-numbers/checkportingavailability","deprecated":false},{"title":"/orders/portIns","summary":"Create port-in order","prefix":{"name":"post","color":"post"},"badges":[],"link":"/port-in-numbers/orderportin","deprecated":false},{"title":"/orders/portIns","summary":"List port-in orders","prefix":{"name":"get","color":"get"},"badges":[],"link":"/port-in-numbers/getportinorders","deprecated":false},{"title":"/orders/portIns/{orderId}","summary":"Get  order Detail","prefix":{"name":"get","color":"get"},"badges":[],"link":"/port-in-numbers/getorderdetails","deprecated":false},{"title":"/orders/portIns/{orderId}","summary":"Cancel Pending Order","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/port-in-numbers/deleteorder","deprecated":false},{"title":"/orders/portIns/{orderId}","summary":"Update port-in order","prefix":{"name":"put","color":"put"},"badges":[],"link":"/port-in-numbers/updateportinorder","deprecated":false},{"title":"/orders/portIns/{orderId}/notes","summary":"Add Order Note","prefix":{"name":"post","color":"post"},"badges":[],"link":"/port-in-numbers/addordernote","deprecated":false},{"title":"/orders/portIns/{orderId}/documents","summary":"Add Order Document","prefix":{"name":"post","color":"post"},"badges":[],"link":"/port-in-numbers/addorderdocuments","deprecated":false},{"title":"/orders/{orderId}/documents/{documentId}","summary":"Get document content","prefix":{"name":"get","color":"get"},"badges":[],"link":"/port-in-numbers/getorderdocumentcontent","deprecated":false}]}]}]}]}},{"type":"group","label":"Webhooks","link":"/docs/numbers/api-reference/porting/webhooks","routeSlug":"/docs/numbers/api-reference/porting/webhooks","items":[{"type":"link","label":"Webhooks for porting","link":"/docs/numbers/api-reference/porting/webhooks/webhooks-for-porting","routeSlug":"/docs/numbers/api-reference/porting/webhooks/webhooks-for-porting","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Webhooks for porting"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":2,"id":"webhooks/webhooks-for-porting"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Webhooks for porting"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch uses webhooks to notify you of events that happen in the porting system."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can configure webhooks for porting events in the porting defaults API or via the dashboard. Anytime a port is then made via the dashboard or we at Sinch trigger an update we will call your webhook url with the event type and a payload depending on event type."},"children":[]}]}]}]}],"panels":[]}]}},{"label":"Order Updated","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":true,"type":"link","link":"/docs/numbers/api-reference/porting/webhooks/order","routeSlug":"/docs/numbers/api-reference/porting/webhooks/order","metadata":{"seo":{"title":"Order Updated","description":"This is a webhook that will be called when an order is updated, it will contain the order and the status of the order."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"order","name":"Order Updated","isWebhook":true,"pointer":"/paths/OrderUpdated/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Order Updated","isWebhook":true,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This is a webhook that will be called when an order is updated, it will contain the order and the status of the order."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","isEvent":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/OrderWebhookStatusEvent","exampleIds":["paths/OrderUpdated/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/OrderWebhookStatusEvent","exampleIds":["paths/OrderUpdated/post/requestBody/content/application~1json/example"],"pointer":"/paths/OrderUpdated/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"webhook","method":"POST","path":"OrderUpdated","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/OrderWebhookStatusEvent","exampleIds":["paths/OrderUpdated/post/requestBody/content/application~1json/example"]}},"pointer":"OrderUpdated","href":"webhooks/order","openApiOperationId":"order","summary":"Order Updated","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":true,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"components/schemas/OrderWebhookStatusEvent","exampleIds":["paths/OrderUpdated/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/OrderWebhookStatusEvent","exampleIds":["paths/OrderUpdated/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/order"}],"panels":[]}]},"httpPath":"OrderUpdated"},{"label":"Number activated","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":true,"type":"link","link":"/docs/numbers/api-reference/porting/webhooks/numbersactivated","routeSlug":"/docs/numbers/api-reference/porting/webhooks/numbersactivated","metadata":{"seo":{"title":"Number activated","description":"This notification occurs if at least one number on the port order was activated."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"numbersActivated","name":"Number activated","isWebhook":true,"pointer":"/paths/NumbersActivated/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Number activated","isWebhook":true,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This notification occurs if at least one number on the port order was activated."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","isEvent":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersActivated/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersActivated/post/requestBody/content/application~1json/example"],"pointer":"/paths/NumbersActivated/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"webhook","method":"POST","path":"NumbersActivated","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersActivated/post/requestBody/content/application~1json/example"]}},"pointer":"NumbersActivated","href":"webhooks/numbersactivated","openApiOperationId":"numbersActivated","summary":"Number activated","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":true,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersActivated/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersActivated/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/numbersactivated"}],"panels":[]}]},"httpPath":"NumbersActivated"},{"label":"Number confirmed","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":true,"type":"link","link":"/docs/numbers/api-reference/porting/webhooks/numbersconfirmed","routeSlug":"/docs/numbers/api-reference/porting/webhooks/numbersconfirmed","metadata":{"seo":{"title":"Number confirmed","description":"This notification occurs when at least one number on the port order was confirmed. This notification also occurs when the number is ready to be activated and onDemandActivation was set to true or if it will be activated at the specified confirmation date."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"NumbersConfirmed","name":"Number confirmed","isWebhook":true,"pointer":"/paths/NumbersConfirmed/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Number confirmed","isWebhook":true,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This notification occurs when at least one number on the port order was confirmed. This notification also occurs when the number is ready to be activated and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"onDemandActivation"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" was set to true or if it will be activated at the specified confirmation date."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Exchange these for a bearer token (access token). Learn how "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","isEvent":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersConfirmed/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersConfirmed/post/requestBody/content/application~1json/example"],"pointer":"/paths/NumbersConfirmed/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"webhook","method":"POST","path":"NumbersConfirmed","servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]},{"schemes":[{"id":"bearerAuth","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersConfirmed/post/requestBody/content/application~1json/example"]}},"pointer":"NumbersConfirmed","href":"webhooks/numbersconfirmed","openApiOperationId":"NumbersConfirmed","summary":"Number confirmed","securityGroups":[{"basicAuth":[]},{"bearerAuth":[]}]},"isWebhook":true,"hideReplay":false,"servers":[{"url":"https://porting.api.sinch.com/v1/projects/{projectId}","description":"v1.0 of the porting API","variables":{"projectId":{"default":"YOUR_project_id"}}}],"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersConfirmed/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/NumberStatusWebhookStatusEvent","exampleIds":["paths/NumbersConfirmed/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/numbersconfirmed"}],"panels":[]}]},"httpPath":"NumbersConfirmed"},{"label":"Number Rejected","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":true,"type":"link","link":"/docs/numbers/api-reference/porting/webhooks/numbersrejected","routeSlug":"/docs/numbers/api-reference/porting/webhooks/numbersrejected","metadata":{"seo":{"title":"Number Rejected","description":"This notification occurs if at least one number on the port order was rejected. Look at rejected reasons for more details on what went wrong."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"NumbersRejected","name":"Number Rejected","isWebhook":true,"pointer":"/paths/NumbersRejected/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Number Rejected","isWebhook":true,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"This notification occurs if at least one number on the port order was rejected. Look at rejected reasons for more details on what went wrong."},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Your key ID and Key secret serve as the username and password, respectively. Both can be found in the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". For more information about basic authentication in the Numbers API, click "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://developers.sinch.com/docs/numbers/api-reference/authentication/basic"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"here"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]},{"schemes":[{"name":"bearerAuth","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The username and password are your Key ID and Key Secret from the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://dashboard.sinch.com/settings/access-keys"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Build Dashboard"},"children":[]}]},{"$$mdtype":"Node
[...]
